# Makefile for partiview

SHELL = /bin/sh

# TARGET
TARGET   = partiview

FLTK_INC   = -I/usr/local/include  
FLTK_LIB   = -lfltk

GL_LIB = -L/usr/local/lib/Mesa

# FLAGS and BINARIES
DEFS	    = -DNOCAVE ## -DUSE_IEEEIO
INCL	    = ${FLTK_INC} -I/usr/X11R6/include
CC          = cc
CFLAGS     = -c ${OPT} ${DEFS} ${INCL}
CXXFLAGS    = ${CFLAGS} 
## OTYPE    = -n32 -mips3
#OPT         = -g3 -Ofast ${OTYPE}
OPT         = -g -O2 ${OTYPE}
LINK        = ${CXX}
LIBS        = ${FLTK_LIB} ${GL_LIB} -lGL -lGLU -L/usr/X11R6/lib -lX11 -lXext -lm 

APP_CSRCS   = geometry.c partibrains.c mgtexture.c textures.c findfile.c sfont.c
APP_CXXSRCS = partiview.cpp partiviewc.cpp partipanel.cpp Gview.cpp Hist.cpp # parti-ieee.cpp

APP_OBJS    = partiview.o partiviewc.o partipanel.o Gview.o Hist.o \
		geometry.o partibrains.o \
		mgtexture.o textures.o futil.o findfile.o sfont.o ${MORE}

help:
	@echo  XLIBS=@XLIBS@

all:	$(TARGET)

clean:
	rm -f *.o $(TARGET)

$(TARGET):  $(APP_OBJS)
	$(CXX) -o $@ $(OPT)  $(APP_OBJS) $(LIBS)

ptest:  ptest.o
	$(CXX) -o $@ $(OPT) ptest.o $(LIBS)

dometest:  dometest.o geometry.o
	$(CXX) -o $@ $(OPT) dometest.o geometry.o $(LIBS)


.PHONEY: depend

# dep: depend
# depend:	_always

depend:
	rm -f Makedepend
	${CC} -M ${CFLAGS} ${APP_CSRCS} > Makedepend
	${CXX} -M ${CXXFLAGS} ${APP_CXXSRCS} >> Makedepend

_always:

include Makedepend
